# Generated from startmeup-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name startmeup

Name: rubygem-%{gem_name}
Version: 0.0.6
Release: 1%{?dist}
Summary: Scaffold styles, variables and structure for Bourbon projects, pretty much stolen verbatim from Thoughtbot Bitters
License: MIT
URL: http://gaz.is
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
StartMeUp helps designers start projects faster by defining a basic set of
Sass
variables, default element style and project structure. It’s been specifically
designed for use within web applications. StartMeUp should live in your
project’s
root Sass directory and we encourage you to modify and extend it to meet your
design and brand requirements.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/startmeup
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/sache.json
%{gem_instdir}/shared
%{gem_instdir}/views
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/startmeup.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.6-1
- Initial package
